Skip to navigation

Get user history by email address

View as Markdown

Returns historical information about users with a specific email address. Note: The email query parameter is required.

To get a list of users in an organization, use Users: getUsers instead.

For example, the following request gets information about accounts that use max@example.net as an email address:

GET /Management/v2/organizations/96e994fa-xxxx-xxxx-xxxx-c5fe9d1ccd10/users/profile?email=max@example.net
{
"users": [
{
"id": "6b67a1ee-xxxx-xxxx-xxxx-385763624163",
"site_id": 1,
"site_name": "Monadnock",
"user_name": "Max Example",
"first_name": "Max",
"last_name": "Example",
"user_status": "active",
"default_account_id": "f636f297-xxxx-xxxx-xxxx-8e7a14715950",
"default_account_name": "BizCo",
"is_organization_admin": false,
"created_on": "2019-04-01T22:11:56.457",
"memberships": [
{
"email": "max@example.net",
"account_id": "624e3e00-xxxx-xxxx-xxxx-43918c520dab",
"external_account_id": "17xxxxx1",
"account_name": "LoanCo",
"is_external_account": false,
"status": "active",
"permission_profile": { },
"created_on": "2019-04-01T22:11:56.457",
"groups": [ ],
"is_admin": false
},
{
"email": "max@example.net",
"account_id": "f636f297-xxxx-xxxx-xxxx-8e7a14715950",
"external_account_id": "25xxxxx0",
"account_name": "BizCo",
"is_external_account": true,
"status": "active",
"permission_profile": { },
"created_on": "2021-07-07T15:10:51.96",
"groups": [ ],
"is_admin": false
},
{
"email": "max@example.net",
"account_id": "6aed3a52-xxxx-xxxx-xxxx-e89988167cfd",
"external_account_id": "11xxxxx1",
"account_name": "SleepCo",
"is_external_account": true,
"status": "closed",
"permission_profile": { },
"created_on": "2021-07-11T12:40:44.26",
"groups": [],
"is_admin": true,
"closed_on": "2021-07-13T08:40:51.8"
}
],
"identities": [],
"device_verification_enabled": false
}
]
}

The response includes up to the first 20 users modified in the last 10 days.

Required authentication scopes: user_read.

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID Guid

Query parameters

emailstringOptional

The email address associated with the users you want to retrieve.

Note: This property is required.

include_licensebooleanOptional

When true: additional details about the user’s license will be included in the response. The account must have an IAM plan with licenses.

Response

OK
userslist of objectsOptional
A list of users.